Home

# Class goog.soy.Renderer

Creates a new soy renderer. Note that the renderer will only be guaranteed to work correctly within the document scope provided in the DOM helper.

Instance Method Summary
| `getInjectedData_() ⇒ ?Object` Creates the injectedParams map if necessary and calls the configuration service to prepopulate it.
| `render(?Function template, ?Object= opt_templateData) ⇒ string` Renders a Soy template and returns the output string.
| `renderAsElement(?Function template, ?Object= opt_templateData) ⇒ !Element` Renders a Soy template into a single node. If the rendered HTML string represents a single node, then that node is returned. Otherwise, a DIV element is returned containing the rendered nodes. Delegates to {@code goog.soy.renderAsElement}.
| `renderAsFragment(?Function template, ?Object= opt_templateData) ⇒ !Node` Renders a Soy template into a single node or a document fragment. Delegates to {@code goog.soy.renderAsFragment}.
| `renderElement(?Element element, ?Function template, ?Object= opt_templateData)` Renders a Soy template and then set the output string as the innerHTML of the given element. Delegates to {@code goog.soy.renderElement}.